cmake_minimum_required(VERSION 3.14) 
project(minus_renderer)

set(CMAKE_CXX_STANDARD 17)

find_package(OpenCV REQUIRED core imgproc highgui)

set(EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR}/bin)

add_subdirectory(${CMAKE_SOURCE_DIR}/src)

# Third Party
add_subdirectory(${CMAKE_SOURCE_DIR}/3rdparty/cxxopts)
add_subdirectory(${CMAKE_SOURCE_DIR}/3rdparty/eigen)
add_subdirectory(${CMAKE_SOURCE_DIR}/3rdparty/imgui)
add_subdirectory(${CMAKE_SOURCE_DIR}/3rdparty/spdlog)
add_subdirectory(${CMAKE_SOURCE_DIR}/3rdparty/OBJ_Loader)
